elements/ubuntu-core usage is not clear

Bug #1771614 reported by Roman Gorshunov on 2018-05-16
34
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu CD Images
Undecided
Unassigned
cloud-images
Undecided
Unassigned
diskimage-builder
Undecided
Roman Gorshunov

Bug Description

I was checking code for elements/ubuntu-core, specifically elements/ubuntu-core/root.d/10-cache-ubuntu-image, and was not able to understand why and when was it supposed to be used.

Defaults provided for various variables (e.g. https://github.com/openstack/diskimage-builder/blob/a8df61edbb6cec3e1e9861cfc7f6b92d80418ee9/diskimage_builder/elements/ubuntu-core/root.d/10-cache-ubuntu-image#L28) are no longer valid:

http://cdimage.ubuntu.com/ubuntu-core/ contains the following:
-----------------
Name Last modified
16/ 2018-05-17 08:46
FOOTER.html 2016-11-03 15:08
HEADER.html 2016-11-03 15:09
vivid/ 2015-05-16 04:56
xenial/ 2016-05-09 23:47
-----------------
There is no releases/$numeric_release/release directory structure neither under ubuntu-core/ nor in /, as well as no images with file name pattern ubuntu-core-$numeric_release-core-$ARCH.tar.gz.

I would suppose to either
a) document in README usage example and fix scripts accordingly, or
b) remove elements/ubuntu-core completely

Element elements/ubuntu provides similar functionality and can replace this elements/ubuntu-core.

Thanks.

Fix proposed to branch: master
Review: https://review.openstack.org/569077

Changed in diskimage-builder:
assignee: nobody → Roman Gorshunov (romang)
status: New → In Progress
Roman Gorshunov (romang) on 2018-05-17
Changed in diskimage-builder:
status: In Progress → New
assignee: Roman Gorshunov (romang) → nobody
Roman Gorshunov (romang) on 2018-05-17
description: updated
description: updated
Steve Langasek (vorlon) wrote :

I don't know what diskimage-builder is, but I understand this to be a bug in that tool. The naming scheme and hierarchy of Ubuntu-core images is by design.

Changed in ubuntu-cdimage:
status: New → Invalid
Changed in cloud-images:
status: New → Invalid
Changed in diskimage-builder:
assignee: nobody → Roman Gorshunov (romang)
status: New → In Progress

Reviewed: https://review.openstack.org/569077
Committed: https://git.openstack.org/cgit/openstack/diskimage-builder/commit/?id=09af52a08c28960d1855b9f4bea7661588830fd1
Submitter: Zuul
Branch: master

commit 09af52a08c28960d1855b9f4bea7661588830fd1
Author: Roman Gorshunov <email address hidden>
Date: Thu May 17 02:48:12 2018 -0700

    Remove non-maintained ubuntu-core element

    Removing no longer working and no longer maintained ubuntu-core element, which
    intent is unclear, and not documented.

    Change-Id: Id847591d04fd7cd32c8903967da01ee0d303b267
    Closes-Bug: 1771614

Changed in diskimage-builder:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers